<div id="tracking">
  <div>
    <v-card class="ui-card">
      <!-- <v-tabs v-model="tab" background-color="transparent" color="basil"> -->
      <!-- <v-tab class="text-none"> -->
      <!-- Add Tracking -->
      <!-- </v-tab> -->
      <!-- <v-tab class="text-none">
          Change Tracking
        </v-tab> -->
      </v-tabs>
      <v-divider></v-divider>
      <!-- <v-tabs-items v-model="tab"> -->
      <!-- <v-tab-item> -->
      <v-card color="basil" flat class="pa-4">
        <div class="border-uploadfile-tracking c-pointer pt-12 pb-6" @change="onChange" @dragover="dragover"
          @dragleave="dragleave" @drop="drop" @click="onSelectFile()">
          <div class="d-flex justify-center">
            <img src="~/assets/images/drap-drop-excel-file.png" alt="" width="136" height="136" v-show="!loadingUpload">
            <iframe src="https://lottie.host/?file=e1c2b9ea-48e8-4e0f-ab81-1f7699af43cd/CEGcgG5J8p.json" v-show="loadingUpload"></iframe>
          </div>
          <div class="mt-4" v-show="!loadingUpload">
            <p class="mb-0 fsize-14 text-center font-weight-medium colorGreyHeaderTable">
              Drag & drop your speadsheet file here
            </p>
            <p class="mb-0 fsize-12 text-center font-weight-medium colorGreyHeaderTable">
              Import to add tracking number
            </p>
          </div>
          <div  class="mt-4" v-show="loadingUpload">
            <p class="mb-0 fsize-14 text-center font-weight-medium colorGreyHeaderTable">
              Uploading your tracking...
            </p>
          </div>
        </div>
        <div class="my-2 d-flex justify-end" v-show="!loadingUpload">
          <v-btn color="#076CE3" outlined class="mt-3" @click="onExportFile()">
            <div class="d-flex align-center">
              <p class="mb-0 lightContentBlue text-none">
                Download template file
              </p>
              <v-icon color="#076CE3" class="ml-2" size="24">
                mdi-cloud-download
              </v-icon>
            </div>
          </v-btn>
          <download-excel :data="json_data" :fields="json_fields" name="template-file-change.xls" class="d-none"
            ref="export">
          </download-excel>
        </div>
      </v-card>
      <v-file-input v-model="file" class="d-none" ref="fileExcel" accept="file/*" label="File input" @change="onChange">
      </v-file-input>
      <!-- </v-tab-item> -->
      <!-- <v-tab-item>
          <v-card color="basil" flat class="pa-4">
            <div class="border-uploadfile-tracking c-pointer pt-12 pb-6">
              <div class="d-flex justify-center">
                <img src="~/assets/images/drap-drop-excel-file.png" alt="" width="136" height="136">
              </div>
              <div class="mt-4">
                <p class="mb-0 fsize-14 text-center font-weight-medium colorGreyHeaderTable">
                  Drag & drop your excel file here
                </p>
                <p class="mb-0 fsize-12 text-center font-weight-medium colorGreyHeaderTable">
                  Import to add tracking number
                </p>
              </div>
            </div>
            <div class="my-2 d-flex justify-end">
              <v-btn color="#076CE3" outlined>
                <div class="d-flex align-center">
                  <p class="mb-0 lightContentBlue text-none">
                    Download template file
                  </p>
                  <v-icon color="#076CE3" class="ml-2" size="24">
                    mdi-cloud-upload
                  </v-icon>
                </div>
              </v-btn>
            </div>
          </v-card>
        </v-tab-item> -->
      </v-tabs-items>
    </v-card>
    <v-card class="ui-card mt-4">
      <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
      </v-skeleton-loader>
      <div v-else>
        <v-card class="ui-card pb-4">
          <v-simple-table class="scrollTable c-pointer" fixed-header
            style="border: 1px solid #EDEEEF; border-radius: 8px 8px 8px 8px;">
            <template v-slot:default>
              <thead>
                <tr>
                  <th class="" style=" background-color: #DBE0E5">
                    <div class="d-flex align-center" style="width: 40px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable ml-2">
                        ID
                      </p>
                    </div>
                  </th>
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Upload at
                      </p>
                    </div>
                  </th>
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                     Total
                      </p>
                    </div>
                  </th>
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 140px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Success
                      </p>
                    </div>
                  </th>
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 140px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Duplicate / Error
                      </p>
                    </div>
                  </th>
                  <!-- <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 140px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Failed/Duplicate/Total
                      </p>
                    </div>
                  </th> -->
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 140px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        To payment error
                      </p>
                    </div>
                  </th>
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 160px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        To 3rd party error
                      </p>
                    </div>
                  </th>
                  <!-- <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 200px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Action
                      </p>
                    </div>
                  </th> -->
                  <th class="text-left " style="background-color: #DBE0E5">
                    <div style="width: 160px">
                      <p class="mb-0 fsize-13 text-uppercase colorGreyHeaderTable">
                        Export error
                      </p>
                    </div>
                  </th>
                </tr>
              </thead>
              <tbody>
                <tr v-for="(tracking,i) in listTracking" :key="tracking._id">
                  <td class="py-3">
                    <p class="mb-0 black--text fsize-16">
                      {{tracking.serial}}
                    </p>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 black--text fsize-16">
                      {{tracking.createdAt && formatDate(tracking.createdAt)}}
                    </p>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 lightContentSemantic fsize-16 font-weight-bold">
                      {{tracking.total}}
                    </p>
                    <!-- <v-progress-linear rounded :value="calcValueProgress(tracking)" height="15">
                      <span class="fsize-12 white--text">
                        {{tracking && tracking.total - tracking.failed}} / {{tracking && tracking.total}}
                      </span>
                    </v-progress-linear> -->
                  </td>
                  <td class="py-3">
                    <p class="mb-0 lightContentSemantic fsize-16 font-weight-bold">
                      {{tracking.success}} 
                    </p>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 contentSemanticRed fsize-16 font-weight-bold">
                      <!-- {{tracking.success}} / {{tracking.total}} -->
                      {{tracking.dupplicate || 0}} / {{tracking.failed || 0}}
                    </p>
                   
                  </td>
                  <!-- <td class="py-3">
                    <p class="mb-0 lightContentSemantic fsize-16 font-weight-bold">
                      {{tracking.failed}} / {{tracking.dupplicate}} / {{tracking.total}}
                    </p>
                  </td> -->
                  <td class="py-3">
                    <p class="mb-0 contentSemanticRed fsize-16 font-weight-bold">
                      {{calcTotalError(tracking)}} / {{tracking.total}}
                    </p>
                  </td>
                  <td class="py-3">
                    <p class="mb-0 contentSemanticRed fsize-16 font-weight-bold">
                      {{tracking.thirdPartyError}} / {{tracking.total}}
                    </p>
                  </td>
                  <td class="py-3">
                    <v-btn color="#076CE3" class="elevation-0 ml-2" icon small @click="onExportFileDuplicate(tracking, i)"
                    >
                      <v-icon color="#076CE3" size="16">
                        mdi-file-download
                      </v-icon>

                    </v-btn>
                    <download-excel :data="json_dataError" :fields="json_fieldsError" name="export-file-error.xls" class="d-none"
                    ref="exportError">
                  </download-excel>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center my-2" v-if="listTracking.length == 0 && !loadingTable">
            <span>No tracking list</span>
          </div>
          <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
            <div id="hideBottomInput" class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0">
              <v-text-field dense outlined v-model.number="page" placeholder="Go to page">
              </v-text-field>
              <div class="button-inside-input">
                <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                  @click="onRedirectPage()">
                  <v-icon color="#ffffff">
                    mdi-chevron-right
                  </v-icon>
                </v-btn>
              </div>
            </div>
          </div>
        </v-card>
      </div>
    </v-card>
  </div>
  <!-- <input type="file" @change="onChange" /> -->
</div>